/*
body {
--cblanc:#F3F3F3;
--cnoir: #000021;
--cbleu: #2a23D1;
--cjaune: #FEE45B;
}
*/



@property --cblanc {
  syntax: "<color>";
  inherits: false;
  initial-value: #FFFFFF;
}
@property --cnoir {
  syntax: "<color>";
  inherits: false;
  initial-value: #000021;
}
@property --cbleu {
  syntax: "<color>";
  inherits: false;
  initial-value: #2a23D1;
}

@property --cjaune {
  syntax: "<color>";
  inherits: false;
  initial-value: #FEE100;
}

@property --cblanccasse {
  syntax: "<color>";
  inherits: false;
  initial-value: #f0f0f9;
}

.desktop {
  /* background: #F3F303; */
/*  background-color: var(--cblanc);*/
   
  display: flex;
  flex-direction: column;
  /* width: 1440px; */
  max-width: 1440px;
  box-sizing: border-box;
  margin: 0 auto;
}
 .formes {
  position: absolute;
  top: -115px;
  right: 0px;
/*  right: -15vw;*/
/*  width: 55vw;
  height: 50vw;  
  max-width: 793px;
  max-height: 721px; */
/*  width:690px;  */
  width:480px;
  height:599px;
 /* z-index: 0; */
  
  content:url("/images/fx2.png");
  clip-path:polygon(  0% 19%,100% 19%,100% 100%,0% 100% ); 	 
 /*   background-repeat: no-repeat; */
}
.desktop .header0{
background: #FFFFFF;
  position: relative;
  /* margin-bottom: 50px; */
  display: flex;
  flex-direction: row;
  justify-content: none;
  /* padding: 40px 50px; */
  /*width: 1440px;*/
  width: auto;
  box-sizing: border-box;
  /*padding-top: 40px;
  padding-bottom: 40px; */
}	
.headerliaisonspadding{
	padding-left: 50px;
}
.headerliaisons a{
	color: var(--cblanc);
	background: var(--cbleu);
    text-decoration: none;
    /* width: 54px; */
    overflow-wrap: break-word;
    font-family: "Kanit";
    font-weight: 400;
    font-size: 22px;
    padding: 3px 20px 3px 20px ;
}
.desktop .header {
  background: #FFFFFF;
  position: relative;
  /* margin-bottom: 50px; */
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  /* padding: 40px 50px; */
  /*width: 1440px;*/
  width: auto;
  box-sizing: border-box;
/*  padding-top: 40px;  */
  padding-bottom: 40px;
}

.desktop .header_logo{

 /* margin: auto; 
  display: block;  */
 /* max-width: 100%; */
 width:152px;  
  max-height: 100%; 
}
.desktop .container_header_logo{
  width: 152px;
  height: 56px;
  padding-left: 50px;
}
.menu-droit{
	display: flex;
    flex-direction: column;
    justify-content: center;
}
.menu_tel{
	background-color: var(--cbleu);
	color:var(--cblanc);
	font-family: 'Quicksand';
	    font-weight: 700;
	    font-size: 16px;
	    
	    margin: auto;
  display: flex;
  padding: 2px;
}

/*  affichage pour largeur max  */
@media (min-width: 700px) {

.header .menu {
  border-radius: 100px;
 /*  margin: 18px 0 13px 0; */
  display: flex;
  flex-direction: column;
  /* width: 339px; */
  height: fit-content;
  box-sizing: border-box;
  width: 700px;
}
.header .menu .container{
margin-bottom: 1px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    /* width: 338.5px; */
    box-sizing: border-box;
}

.header .menu .container ul{
		list-style-type: none;
        margin-block: unset;
        padding-inline-start: unset;
        display: flex;
}
.header .menu .container ul li{
		width: max-content;
	}
.header .menu .container ul a {
	color: var(--cbleu);
	text-decoration:none;
/*	max-margin-right: 10px;  */
  /*  width: 54px; */
    overflow-wrap: break-word;
    font-family: "Kanit";
    font-weight: 700;
    font-size: 18px;
        margin-right: 10px;
}

.menuactif {
  border-bottom: 6px solid var(--cjaune);
}

.menuburger{
	display: none;
	
}


} /* fin @media (min-width: 768px) */


/* affichage pour largeur mini smartphone */
@media (max-width: 699px) {

	.header .menu {
		z-index: 15;
		position:absolute;
		top:60%;
		right:0;
		width: 200px;
		background-color: var(--cbleu);
		color: var(--cblanc);  
		border-radius: 15px;   
  		display: none;
  		flex-direction: column;
  		height: fit-content;
  		
   /*  	border: 4px solid var(--cnoir); */
    	border: 4px solid var(--cjaune);
    	
	}
	
	.header .menu .container{
		margin-bottom: 1px;
		
	}

	.header .menu .container ul{
		list-style-type:none;
	}

	.header .menu .container ul a {
		color: var(--cblanc);
		text-decoration:none;
		margin-right: 10px;
	    width: 54px;
	    overflow-wrap: break-word;
	    font-family: "Kanit", sans-serif;
	    font-weight: 700;
	    font-size: 22px;
	}

	.menuactif {
	  border-bottom: 6px solid var(--cjaune);
	}

	.menu_tel{
	}

} /*  fin @media (max-width: 767px) */

.baseline {
	/* padding-top: 80px; */
	background-color: var(--cblanc); 
	padding-left: 4vw;
    padding-right: 4vw;
	z-index: -1;
	font-size: 0;  /* evite les blancs entre les blocs */
	/*height: 400px;*/
    padding-block-end: 20px;
    display: inline-block;
    text-align: center;
    width: 100%;
}
.baselinecontainer{
	position:relative;
	margin-top:20px;
	/*display:inline-block;*/
    display: inline-table;
	font-size:0;
}
.baselinetitle{
/*	padding-top:10px; */
	position:relative;
	z-index: 11;
	color:var(--cjaune);
	background-color: var(--cbleu);
    font-family: "Kanit", sans-serif;
    font-weight: 700;
    font-size: 35px;
	width: fit-content;	  

}

.baselinetitlepath-start{
	
	z-index: 11;
	color:var(--cnoir);
	background-color: var(--cjaune);
    font-family: "Kanit", sans-serif;
    font-weight: 400;
    font-size: 21px;
	width: fit-content;	   
	padding: 6px;
	
}
.baselinetitlepath-actual{
	
	z-index: 11;
	color:var(--cjaune);
	background-color: var(--cbleu);
    font-family: "Kanit", sans-serif;
    font-weight: 400;
    font-size: 21px;
	width: fit-content;	   
	padding: 6px;
	
}

.baselinetext-1{
	position:relative;
	z-index:11;
	color:var(--cnoir);
	background-color: transparent;
    font-family: "Kanit", sans-serif;
    font-weight: 300;
    font-size: 30px;
	/*width: fit-content;	  */
}

@media only screen and (max-width: 500px){
    .baselinetitle{
        font-size: 25px;
    }
    .baselinetext-1{
        font-size: 20px;
    }
}

@media only screen and (max-width: 300px){
    .baselinetitle{
        font-size: 19px;
    }
    .baselinetext-1{
        font-size: 14px;
    }
}
.text-1{
	position:relative;
	z-index:11;
	color:var(--cnoir);
	background-color: transparent;
    font-family: "Kanit", sans-serif;
    font-weight: 300;
    font-size: 30px;
	width: fit-content;	   
}
.text-morespacebefore{
	margin-block-start: 2em;
}
.text-morespaceafter{
	margin-block-end: 2em;
}

.container_recherche{
    position: relative;
	padding-left: 5vw;
	padding-right:5vw;
	backroung:transparent;
}

.barre-recherche{
	border-radius: 32px;
/*	background-color: var(--cbleu); */
	background-color: #FFFFFF; 
/*	background: radial-gradient( ellipse farthest-corner,white,blue);*/
/* background-image: linear-gradient(white, white), radial-gradient(circle at center center, #f00, #3020ff); */
/*  background-origin: border-box;
  background-clip: content-box, border-box;
  */
    padding: 20px 20px 20px 20px; 
    box-sizing: border-box;
	padding-left:20px;
	padding-right:20px;
/*	max-width: 1000px; */
}

.recherche{
	width: -webkit-fill-available;
  /*  max-width: 1000px; */
    border-style:hidden;
    font-family: "Kanit", sans-serif;
	font-weight: 300;
	font-size: 16px;
	border-style:hidden;
}

.corps{
	background-color: var(--cblanc);
	position:relative;
}

.corps-categories{
	position:relative;
/*  min-height:500px;  */
	background-color: mocassin;  
	z-index:1;
/*	margin-left:5vw;
	margin-right:5vw; */
}

.titre-h-1 {
    position: relative;
    margin: 0 16px 16px 16px;
    display: flex;
    align-self: flex-start;
    padding: 0 0.6px 0 1px;
    box-sizing: border-box;
}
.rectangle-12 {
    background: #FFE100;
 /*   position: absolute;
    left: 50%;  */
    bottom: 7px;
/*    translate: -50% 0; */
/*    width: 342px;  */
	width: -webkit-fill-available;
    height: 9px;
    z-index: -1;
}
.categories-machines {
    position: relative;
    overflow-wrap: break-word;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 33px;
    color: #2A23D1;
}
.height-16{
	height:16px;
}
.height-20{
	height:20px;
}
.height-25{
	height:25px;
}
.height-30{
	height:30px;
}
.marge-left-16{
	margin-left:16px;
}
.marge-left-30{
	margin-left:30px;
}
.display-inline{
	display:inline;
}
.display-inline-bock{
	display:inline-block;
}
.display-block{
	display:block;
}

@media (min-width: 760px){
.corps-vignettes{
	width:100%;
	background-color: var(--crouge);
	
}
.all-vignettes{
	margin-left: 100px;
	display:flex;	
	flex-direction:row;
	justify-content: flex-start;
	flex-wrap: wrap
	
}
.container-vignette{
	    /* position: relative; */
    width: 270px;
    height: 250px;
     background-color: #FFFFFF; 
 /*   border: 1px solid blue; */
    margin: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    cursor:pointer;
}
.vignette-image{
	    /* text-align: center; */
    /* max-width: 100%; */
    /* max-height: 100%; */
/*    border: 1px solid blue; */
    height: 55%;
}
.vignette-image img{
	max-width: 100%;
  max-height: 100%;
  width:auto;
  height: auto;
}

.vignette-texte{
/*	heigth:fit-content; */
	background-color: var(--cblanc);
/*	border: 2px solid blue;  */
	/* height:-webkit-fill-available; */
  height: 60px;
	width: -webkit-fill-available;
}
.vignette-texte .titre{
	margin: unset;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 25px;
    color: #2A23D1;
    text-align: center;
}
.vignette-texte .description{
	margin: unset;
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 19px;
    color: var(---cnoir);
    text-align: center;
}
.vignette-image.basecatego{
	height: 70%;
  display: flex;
  align-items: flex-end;
}
} /* fin @media (min-width: 770px) */

@media (max-width: 759px){
.corps-vignettes{
	width:100%;
	background-color: var(--crouge);
	
}
.all-vignettes{
	margin-left: 3vw;
	display:flex;	
	flex-direction:row;
	justify-content: flex-start;
	flex-wrap: wrap
	
}
.container-vignette{
	    /* position: relative; */
    width: 450px;
    height: 160px;
     background-color: #FFFFFF; 
 /*   border: 1px solid blue; */
    margin: 20px;
    display: flex;
    justify-content: center;
    align-items: normal;
    flex-direction:row;
    cursor:pointer;
}
.vignette-image{
	
        max-height: 100%;
    /* display: flex; */
    /* justify-content: center; */
    /* align-items: normal; */
    width: 60%;
    display: flex;
    justify-content: center;
    align-content: start;
    flex-direction: column;
    ALIGN-ITEMS: CENTER;
}
.vignette-image img{
/*	border: 1px solid blue; */
	max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
}

.vignette-texte{
/*	heigth:fit-content; */
	background-color: var(--cblanc);
/*	border: 2px solid blue; */
	height:-webkit-fill-available;
	width: -webkit-fill-available;
	padding-left: 5px;
}
.vignette-texte .titre{
	margin: unset;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 3.7vw;
    color: #2A23D1;
   /* text-align: center; */
   margin-top: 22px;
   padding-left: 5px;
}
.vignette-texte .titre.basecatego{
	margin: unset;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 5vw;
    color: #2A23D1;
   /* text-align: center; */
   margin-top: 60px;
   padding-left: 5px;
}
.vignette-texte .description{
	margin: unset;
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 3.0vw;
    color: var(---cnoir);
    text-align: center;
    padding-top: 10px;
}

.vignette-image.basecatego{
	/* width: 70%; */
}
}  /*  fin @media (max-width: 769px) */

/*  affichage pour largeur max  */
@media (min-width: 700px) {
	
.footer{
	margin:15px;
}
.footercol{
	display:flex;
	flex-direction:row;
	justify-content: space-between;
}
.footer_column{
	
}
.footercolumns{
/*	display:flex;
	flex-direction:row;
	flex-grow: 1; flex-shrink: 1; flex-basis: 0;
	width: 0;  */
	    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(25%, 1fr));
    width: 90%;
  
}



.footer_titre{
/*	display:flex;
	flex-direction:row;
	justify-content: space-between; */
	margin-bottom: 5px;
	
}
.footer_titre_text {
	font-family: 'Kanit';
    font-weight: 700;
    font-size: 18px;
    color: var(--cbleu);
}
.footer_titre_icone{
	color:var(--cbleu); 
    content-visibility: hidden;
	
}
.footer_titres_items{
display:bloc;	
text-decoration: none;
font-family: 'Montserrat';
    font-weight: 400;
    font-size: 14px;
    color: var(---cnoir);
    line-height: 26px;
}

.footer_col_lang{
	width:10%;	
	text-align: center;
	display: flex;
  flex-direction: column; /* Pour aligner les �l�ments verticalement */
  align-items: flex-end; /* Pour aligner les �l�ments � droite */
}
.lang_item{
border: 1px solid var(--cbleu);
	color: var(--cbleu);
	background-color: var(--cblanc);
	width: 75px;
}
.lang_actif{
	color: var(--cblanc);
	background-color: var(--cbleu);
}
.langue{
	
    margin-right: 25px;
    text-align: right;
	
}
.lang_actif .langue span{
	font-weight: 900;
	font-family: 'Font Awesome 6 Free';
	    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: var(--fa-display, inline-block);
    font-style: normal;
    font-variant: normal;
    line-height: 1;
    text-rendering: auto;
} 
.lang_actif .langue span:before{
content: "\f078";
}
.footer_logo{
 width:100px;  
  max-height: 100%; 
}

}  /* @media (min-width: 700px)  */

/*  affichage pour largeur max  */
@media (max-width: 699px) {
.footer{
	margin:15px;
}
.footercol{
	display:flex;
	flex-direction:row;
	justify-content: space-around;
	       
}
.footer_column{
	
}
.footercolumns{
/*	display:flex;
	flex-direction:row;
	flex-grow: 1; flex-shrink: 1; flex-basis: 0;
	width: 0;  */
	    display: grid;
/*   grid-template-columns: repeat(auto-fill, minmax(25%, 1fr));
    width: 90%; */
  width: 250px;
}



.footer_titre:not(.ft_actif){
	cursor: pointer;
}
.footer_titre{
/*	display:flex;
	flex-direction:row;
	justify-content: space-between; */
	margin-bottom: 5px;
	
}
.footer_titre_text {
	font-family: 'Kanit';
    font-weight: 700;
    font-size: 18px;
    color: var(--cbleu);
}
.footer_titre_icone{
	color:var(--cbleu); 
    content-visibility: visible;
	font-weight: 900;
	font-family: 'Font Awesome 6 Free';
	    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: var(--fa-display, inline-block);
    font-style: normal;
    font-variant: normal;
    line-height: 1;
    text-rendering: auto;
} 
.footer_titre.ft_actif span span:before{
content: "\f077";
}
.footer_titre:not(.ft_actif) span span:before{
content: "\f078";
}
.footer_titre.ft_actif .footer_titres{
	display:block;
}
.footer_titre:not(.ft_actif) .footer_titres{
	display:none;
}
/*
.footer_titre_icone:not(.ft_actif):before{
content: "\f078";
}
*/

.footer_titres_items{
display:bloc;	
text-decoration: none;
font-family: 'Montserrat';
    font-weight: 400;
    font-size: 14px;
    color: var(---cnoir);
    line-height: 26px;
}

.footer_col_lang{
/*	width:10%;*/	
	text-align: center;
	display: flex;
  flex-direction: column; /* Pour aligner les �l�ments verticalement */
  align-items: flex-end; /* Pour aligner les �l�ments � droite */
}
.lang_item{
border: 1px solid var(--cbleu);
	color: var(--cbleu);
	background-color: var(--cblanc);
	width: 75px;
}
.lang_actif{
	color: var(--cblanc);
	background-color: var(--cbleu);
}
.langue{
	
    margin-right: 25px;
    text-align: right;
	
}
.lang_actif .langue span{
	font-weight: 900;
	font-family: 'Font Awesome 6 Free';
	    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: var(--fa-display, inline-block);
    font-style: normal;
    font-variant: normal;
    line-height: 1;
    text-rendering: auto;
} 
.lang_actif .langue span:before{
content: "\f078";
}
.footer_logo{
 width:100px;  
  max-height: 100%; 
}
} /* fin @ media (max-width: 699px) */


/*  ancien affichage pour largeur max 500px */
@media (max-width: 50px) {
.corps-vignettes{
	width:100%;
	background-color: var(--crouge);
	
}
.all-vignettes{
	margin-left: 3vw;
	display:flex;	
	flex-direction:row;
	justify-content: flex-start;
	flex-wrap: wrap
	
}
.container-vignette{
	    /* position: relative; */
    width: 450px;
    height: 160px;
     background-color: #FFFFFF; 
 /*   border: 1px solid blue; */
    margin: 20px;
    display: flex;
    justify-content: center;
    align-items: normal;
    flex-direction:row;
    cursor:pointer;
}
.vignette-image{
	
        max-height: 100%;
    /* display: flex; */
    /* justify-content: center; */
    /* align-items: normal; */
    width: 40%;
    display: flex;
    justify-content: center;
    align-content: start;
    flex-direction: column;
    ALIGN-ITEMS: CENTER;
}
.vignette-image img{
/*	border: 1px solid blue; */
	max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
}

.vignette-texte{
/*	heigth:fit-content; */
	background-color: var(--cblanc);
/*	border: 2px solid blue; */
	height:-webkit-fill-available;
	width: -webkit-fill-available;
	padding-left: 5px;
}
.vignette-texte .titre{
	margin: unset;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 3.7vw;
    color: #2A23D1;
   /* text-align: center; */
   margin-top: 22px;
   padding-left: 5px;
}
.vignette-texte .titre.basecatego{
	margin: unset;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 5vw;
    color: #2A23D1;
   /* text-align: center; */
   margin-top: 60px;
   padding-left: 5px;
}
.vignette-texte .description{
	margin: unset;
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 3.0vw;
    color: var(---cnoir);
    text-align: center;
    padding-top: 10px;
}

.vignette-image.basecatego{
	/* width: 70%; */
}

}  /* fin @ media (max-width: 500px) */

/*  affichage pour largeur max 500px */
@media (max-width: 500px) {
.corps-vignettes{
	width:100%;
	background-color: var(--crouge);
	
}
.all-vignettes{
	margin-left: 3vw;
	display:flex;	
	flex-direction:row;
	justify-content: flex-start;
	flex-wrap: wrap
	
}
.container-vignette {
    /* position: relative; */
    width: 100%;
    height: auto;
    max-height: 245px;
    background-color: #FFFFFF;
    /* border: 1px solid blue; */
    margin: 20px;
    display: flex;
    justify-content: center;
    align-items: normal;
    flex-direction: column;
    cursor: pointer;
}
.vignette-image {
    max-height: 200px;
    max-width: 100%;
    /* display: flex; */
    /* justify-content: center; */
    /* align-items: normal; */
    width: auto;
    display: flex; 
    justify-content: center;
    align-content: start;
    flex-direction: row;
    align-items: center;
}
.vignette-image img {
    border: 1px solid blue;
    max-width: 100%;
    max-height: 152px;
    width: auto;
    height: auto;
}

.vignette-texte {
    background-color: var(--cblanc);
    /* border: 2px solid blue; */
    height: fit-content;
    /* width: -webkit-fill-available; */
    padding-left: 5px;
}
.vignette-texte .titre{
	margin: unset;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 3.7vw;
    color: #2A23D1;
   /* text-align: center; */
   margin-top: 22px;
   padding-left: 5px;
}
.vignette-texte .titre.basecatego{
	margin: unset;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 5vw;
    color: #2A23D1;
    text-align: center; 
   /* margin-top: 60px; */
   padding-left: 5px;
}
.vignette-texte .description{
	margin: unset;
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 3.0vw;
    color: var(---cnoir);
    text-align: center;
    padding-top: 10px;
}

.vignette-image.basecatego{
	/* width: 70%; */
}

}  /* fin @ media (max-width: 500px) */



/*  affichage pour largeur max 100px */
@media (max-width: 10px) {
.corps-vignettes{
	width:100%;
	background-color: var(--crouge);
	
}
.all-vignettes{
	margin-left: 3vw;
	display:flex;	
	flex-direction:row;
	justify-content: flex-start;
	flex-wrap: wrap
	
}
.container-vignette{
	    /* position: relative; */
    width: 450px;
    height: 160px;
     background-color: #FFFFFF; 
 /*   border: 1px solid blue; */
    margin: 20px;
    display: flex;
    justify-content: center;
    align-items: normal;
    flex-direction:row;
    cursor:pointer;
}
.vignette-image{
	
        max-height: 100%;
    /* display: flex; */
    /* justify-content: center; */
    /* align-items: normal; */
    width: 30%;
    display: flex;
    justify-content: center;
    align-content: start;
    flex-direction: column;
    ALIGN-ITEMS: CENTER;
}
.vignette-image img{
/*	border: 1px solid blue; */
	max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
}

.vignette-texte{
/*	heigth:fit-content; */
	background-color: var(--cblanc);
/*	border: 2px solid blue; */
	height:-webkit-fill-available;
	width: -webkit-fill-available;
	padding-left: 5px;
}
.vignette-texte .titre{
	margin: unset;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 3.7vw;
    color: #2A23D1;
   /* text-align: center; */
   margin-top: 22px;
   padding-left: 5px;
}
.vignette-texte .titre.basecatego{
	margin: unset;
    font-family: 'Kanit';
    font-weight: 700;
    font-size: 5vw;
    color: #2A23D1;
   /* text-align: center; */
   margin-top: 60px;
   padding-left: 5px;
}
.vignette-texte .description{
	margin: unset;
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 3.0vw;
    color: var(---cnoir);
    text-align: center;
    padding-top: 10px;
}

.vignette-image.basecatego{
	/* width: 70%; */
}

}  /* fin @ media (max-width: 100px) */

.copyright{
	display:inline;
}
